
TYPO3.Flow - Bug # 25858

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Configuration
Created: 2011-04-08 Assigned To: Karsten Dambekalns
Updated: 2011-04-11 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: General global settings override local context settings
Description
When evaluating the configuration of settings in FLOW3 the settings should be evaluated in the following order, later entries overriding
previous ones:
    1. local settings
    2. global settings
    3. local context settings
    4. global context settings
Currently it is like this, though:
    1. local settings
    2. local context settings
    3. global settings
    4. global context settings

(local means per package, global means, erm, global)

One effect is that the persistence configuration for the Testing context is overwritten by the generic global configuration, which
potentially breaks tests and dumps your data...

Related issues:
related to TYPO3.Flow - Bug # 25853: Functional tests for persistence are broken Resolved 2011-04-08

Associated revisions
Revision f5c57f1d - 2011-04-08 17:27 - Karsten Dambekalns

[BUGFIX] Fix order in which settings are merged

This change makes local context-specific settings take precedence over
generic global settings.

Related: #25853
Fixes: #25858
Change-Id: Ic24a63b530e1e2babeb31ec7a9403d3062522f19

History
#1 - 2011-04-08 17:27 - Mr. Hudson

Patch set 1 of change Ic24a63b530e1e2babeb31ec7a9403d3062522f19 has been pushed to the review server.
It is available at http://review.typo3.org/1525
#2 - 2011-04-08 17:28 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2011-04-11 12:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f5c57f1d353aabcd192553c9855a53b79c95d01c.
